// TListe.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "tk80.h"
#include "TListe.h"
#include "Tapefile.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTListe

//##ModelId=43AD0C1D00E6
CTListe::CTListe(CTapefile* tf)
:m_tf(tf)
{
}

//##ModelId=43AD0C1D00EB
CTListe::~CTListe()
{
}


BEGIN_MESSAGE_MAP(CTListe, CListBox)
	//{{AFX_MSG_MAP(CTListe)
	ON_CONTROL_REFLECT(LBN_SELCHANGE, OnSelchange)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CTListe 

//##ModelId=43AD0C1D00E8
void CTListe::DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct) 
{
	char txt[128];
	CRect rc(lpDrawItemStruct->rcItem);

	GetText( lpDrawItemStruct->itemID,(char*) &txt);
	int cs = m_tf->GetCheckSume(txt+1);

	COLORREF otxt = SetTextColor(lpDrawItemStruct->hDC,0xff0000);

	COLORREF obk  = SetBkColor(lpDrawItemStruct->hDC, 
		lpDrawItemStruct->itemState & ODS_SELECTED ? 0xDDDDDD : 0xffffff);

	DrawText(lpDrawItemStruct->hDC,txt, strlen(txt), (RECT*)rc, DT_CALCRECT|DT_LEFT|DT_SINGLELINE|DT_BOTTOM);
	DrawText(lpDrawItemStruct->hDC,txt, strlen(txt), (RECT*)rc, DT_LEFT|DT_SINGLELINE|DT_BOTTOM);

	sprintf(txt,"%2.2X", cs);

	SetTextColor(lpDrawItemStruct->hDC,0x0000ff);
	
	TextOut(lpDrawItemStruct->hDC,lpDrawItemStruct->rcItem.left+rc.Width(),lpDrawItemStruct->rcItem.top,txt,strlen(txt));
	
	SetTextColor(lpDrawItemStruct->hDC,otxt);
	SetBkColor(lpDrawItemStruct->hDC,obk);
}


//##ModelId=43AD0C1D0103
void CTListe::OnSelchange() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	
}
