#if !defined(AFX_TAPEFILE_H__9F06D870_0B01_4037_B2BE_46867F83CEE6__INCLUDED_)
#define AFX_TAPEFILE_H__9F06D870_0B01_4037_B2BE_46867F83CEE6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Tapefile.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CTapefile 
#include <afxtempl.h>

#include "TListe.h"

//##ModelId=43AD0C1D026C
class CTapefile : public CDialog
{
// Konstruktion
public:
	//##ModelId=43AD0C1D026E
	void Reset(void);
	//##ModelId=43AD0C1D0270
	void Sound(bool mod);
	//##ModelId=43AD0C1D0272
	virtual bool AddByte( unsigned char c);
	//##ModelId=43AD0C1D0278
	int GetTapeBlock(int maxbyte, byte *data) const;
	//##ModelId=43AD0C1D027C
	byte GetBit(byte b)const {return 0;};
	//##ModelId=43AD0C1D027F
	CTapefile(CWnd* pParent = NULL);   // Standardkonstruktor
	//##ModelId=43AD0C1D0281
	unsigned char GetCheckSume(const char *txt) const { return  CalcCheckSum( CString(txt), 0);};
// Dialogfelddaten
	//{{AFX_DATA(CTapefile)
	enum { IDD = IDD_DLDTAPE };
	//##ModelId=43AD0C1D0285
	CTListe	m_list;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CTapefile)
	protected:
	//##ModelId=43AD0C1D028A
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	//##ModelId=43AD0C1D028D
	unsigned int CalcCheckSum( CString& to,int offset)const;
	//##ModelId=43AD0C1D0295
	HANDLE	m_beepThread;
	//##ModelId=43AD0C1D0296
	unsigned short m_start;
	//##ModelId=43AD0C1D0297
	unsigned short m_stop;
	//##ModelId=43AD0C1D029E
	unsigned char m_chksum;	
	//##ModelId=43AD0C1D029F
	int           m_optr;

	//##ModelId=43AD0C1D02A0
	virtual void OnOK();
	//##ModelId=43AD0C1D02A2
	virtual void OnCancel()
	{ 
		Reset();
		OnClose();
	};

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CTapefile)
	//##ModelId=43AD0C1D02A8
	afx_msg void OnClose();
	//##ModelId=43AD0C1D02AA
	afx_msg void OnTapeclear();
	//##ModelId=43AD0C1D02AC
	afx_msg void OnTapeload();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_TAPEFILE_H__9F06D870_0B01_4037_B2BE_46867F83CEE6__INCLUDED_
