// MemListBox.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "tk80.h"
#include "MemListBox.h"
#include "TK80Doc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMemListBox

//##ModelId=43AD0C1D02BD
CMemListBox::CMemListBox()
{
}

//##ModelId=43AD0C1D02CA
CMemListBox::~CMemListBox()
{
}


BEGIN_MESSAGE_MAP(CMemListBox, CListBox)
	//{{AFX_MSG_MAP(CMemListBox)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CMemListBox 

//##ModelId=43AD0C1D02C2
void CMemListBox::DrawItem(LPDRAWITEMSTRUCT lpDrawItemStruct) 
{
	char txt[128];

	GetText( lpDrawItemStruct->itemID,(char*) &txt);
	COLORREF otxt = SetTextColor(lpDrawItemStruct->hDC,0x000000);
	HBRUSH bru = CreateSolidBrush(lpDrawItemStruct->itemState & ODS_SELECTED ? 0xDDDDDD : lpDrawItemStruct->itemData);


	int adr=0;
	sscanf(txt,"%X",&adr);
	char *hex = txt+strlen(txt);
	char *bin = hex + (16*3);
	*bin++ = ' ';

	for( int i = 0; i < 16;i++)
	{
		unsigned int c = m_pDoc->RdZ80(adr++);

		*hex++ = ' ';
		*hex++ = ((c & 0xf0) >= 0xA0 ? ('A'-10):'0') + (c >> 4);
		*hex++ = ((c & 0x0f) >= 0x0A ? ('A'-10):'0') + (c & 0xf);
		*bin++ = isprint(c) ? c:'.';
	}
	*bin = 0;

	FillRect(lpDrawItemStruct->hDC,&lpDrawItemStruct->rcItem,bru);

	int bmod = SetBkMode(lpDrawItemStruct->hDC, TRANSPARENT); 
	TextOut(lpDrawItemStruct->hDC,lpDrawItemStruct->rcItem.left,lpDrawItemStruct->rcItem.top,txt,strlen(txt));

	SetBkMode(lpDrawItemStruct->hDC, bmod); 
	SetTextColor(lpDrawItemStruct->hDC,otxt);

    DeleteObject(bru);

}

//##ModelId=43AD0C1D02BE
void  CMemListBox::MemChanged(WORD Addr)
{
	char buf[16];
	sprintf(buf,"%04X.",Addr&0xfff0);
	int sid = FindString( -1, buf );
	if( sid != -1)
	{
		RECT rect;
		if( GetItemRect( sid, &rect ) != LB_ERR )
			InvalidateRect(&rect);
	}
};

//##ModelId=43AD0C1D02C8
void CMemListBox::Reset()
{
	ResetContent ();	
}

