// TK80View.h : Schnittstelle der Klasse CTK80View
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_TK80VIEW_H__0F3F9644_0C82_4850_8C57_39643BD92738__INCLUDED_)
#define AFX_TK80VIEW_H__0F3F9644_0C82_4850_8C57_39643BD92738__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


	// 7 6 5 4 3 2 1 0
	// f e d c b a 9 8
	// load store write+ read+ read- adrset ret run
	//  L     S      W     +     -      @    CR  R 
	//
	// 0x7f 0xbf 0xdf 0xef 0xf7 0xfb 0xfd 0xfe


//##ModelId=43AD0C1D0121
class CTK80View : public CView
{
protected: // Nur aus Serialisierung erzeugen
	//##ModelId=43AD0C1D012D
	CTK80View();
	DECLARE_DYNCREATE(CTK80View)

// Attribute
public:
	//##ModelId=43AD0C1D012E
	CTK80Doc* GetDocument();

// Operationen
public:

// berladungen
	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CTK80View)
	public:
	//##ModelId=43AD0C1D012F
	virtual void OnDraw(CDC* pDC);  // berladen zum Zeichnen dieser Ansicht
	//##ModelId=43AD0C1D0132
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//##ModelId=43AD0C1D0138
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	//##ModelId=43AD0C1D013B
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	//##ModelId=43AD0C1D0140
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementierung
public:
	//##ModelId=43AD0C1D0144
	virtual ~CTK80View();
#ifdef _DEBUG
	//##ModelId=43AD0C1D0146
	virtual void AssertValid() const;
	//##ModelId=43AD0C1D0148
	virtual void Dump(CDumpContext& dc) const;
#endif
	//##ModelId=43AD0C1D014D
	static const keycode CTK80View::m_keyset[5][5];
protected:
	//##ModelId=43AD0C1D0151
	UINT m_timer;
	//##ModelId=43AD0C1D0154
	const CRect m_r7seg;
	//##ModelId=43AD0C1D0156
	CBitmap m_bkg;
	//##ModelId=43AD0C1D015A
	CSize m_csize;
	//##ModelId=43AD0C1D015E
	CRect m_over;
	//##ModelId=43AD0C1D0160
	static const RECT m_key[5][5];
	//##ModelId=43AD0C1D0169
	static const RECT m_switch[2];
// Generierte Message-Map-Funktionen
protected:
	//##ModelId=43AD0C1D016D
	bool m_sw1;
	//##ModelId=43AD0C1D016E
	bool m_sw2;
	//##ModelId=43AD0C1D0173
	CBitmap m_smap;
	//##ModelId=43AD0C1D0177
	bool m_down;
	//##ModelId=43AD0C1D0178
	long m_cps;
	//##ModelId=43AD0C1D017C
	void SetOver(const CRect& rect);
	//##ModelId=43AD0C1D017E
	void Draw7(CDC* pDC, const CRect& rect, unsigned char code);
	//{{AFX_MSG(CTK80View)
	//##ModelId=43AD0C1D0188
	afx_msg void OnTimer(UINT nIDEvent);
	//##ModelId=43AD0C1D018B
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//##ModelId=43AD0C1D0191
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	//##ModelId=43AD0C1D0195
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//##ModelId=43AD0C1D019D
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	//##ModelId=43AD0C1D01A5
	afx_msg void OnUpdateCPS(CCmdUI *pCmdUI);
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // Testversion in TK80View.cpp
inline CTK80Doc* CTK80View::GetDocument()
   { return (CTK80Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_TK80VIEW_H__0F3F9644_0C82_4850_8C57_39643BD92738__INCLUDED_)
